package org.smartframework.common;


import java.io.Serializable;
import java.util.List;
import java.util.Map;

public interface DataRepository {
    String getMasterTablePK();

    void setMasterTablePK(String var1);

    String getMasterTable();

    void setMasterTable(String var1);

    void setCaller(String var1);

    /** @deprecated */
    void setLoginUserId(String var1);

    String getSelectSQL();

    String getOrderBy();

    void setOrderBy(String var1);

    List queryData(String var1, Map var2, int var3, int var4);

    List queryData(String var1, String var2, Object[] var3);

    List queryDataByPage(String var1, String var2, int var3, int var4, Object[] var5);

    List queryDataByPage(String var1, int var2, int var3, Object[] var4);

    List queryDataBySQL(String var1, Object[] var2);

    Map findOne(Map var1);

    Map findOne(String var1, Object[] var2);

    Map findOneBySQL(String var1, Object[] var2);

    Map doLoad(Serializable var1);

    int doDelete(Serializable var1);

    Map createNewRow();

    Serializable doInsert(Map var1);

    int[] doBatchInsert(List<Map> var1);

    int doUpdate(Serializable var1, Map var2);

    int doUpdate(String var1, Object... var2);

    int doSave(Map var1);

    String doAction(String var1, Map var2) throws OperationException;

    Map getColumnValueListMap();

//    void linkColumnToValueList();

//    String getValueListName();

    NamedQuery findNamedQuery(String var1);

    void clearRowMetaData(Map var1);
}
